﻿using System;
using System.ComponentModel;
using System.Runtime.CompilerServices;

namespace Win8CalendarDemo
{
    public class TestItem : INotifyPropertyChanged
    {

        private string _randomText = string.Empty;

        public string RandomTest
        {
            get { return _randomText; }
            set { _randomText = value; OnPropertyChanged(); }
        }

        private DateTime _currentDate;

        public DateTime CurrentDate
        {
            get { return _currentDate; }
            set { _currentDate = value; OnPropertyChanged();}
        }



        public event PropertyChangedEventHandler PropertyChanged;

        protected void OnPropertyChanged([CallerMemberName] string propertyName = "")
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
